searchNodes=[{"ref":"OggVorbisParser.html","title":"OggVorbisParser","type":"module","doc":"A parser for VorbisComments in Ogg containers. While it&#39;s possible to use Vorbis streams without Ogg containers or with different kinds of containers, this parser expects Ogg. It might work for parsing the audio metadata in .ogv files, which are still Ogg containers with video streams and Vorbis streams, but this hasn&#39;t been tested much. The relevant part of an Ogg Vorbis file starts with an Ogg capture pattern (a file signature) followed by some Ogg container bits, the Vorbis identification header, and the Vorbis comment header. This package uses a recursive function to look for a comment header packet type of 3 immediately followed by the string &quot;vorbis.&quot; This is the beginning of the comment header."},{"ref":"OggVorbisParser.html#parse/1","title":"OggVorbisParser.parse/1","type":"function","doc":"Parses VorbisComment if present. Note that the &quot;format&quot; comment in the example below says MP3 because this Ogg file from archive.org was probably converted from an mp3. The actual mp3 is included too as shown below. Examples iex&gt; {:ok, binary} = OggVorbisParser.parse(&quot;test/audio_files/lifeandtimesoffrederickdouglass_01_douglass.ogg&quot;) iex&gt; binary %{ comments: [ [&quot;encoder&quot;, &quot;Lavc55.68.101 libvorbis&quot;], [&quot;artist&quot;, &quot;Frederick Douglass&quot;], [&quot;genre&quot;, &quot;speech&quot;], [&quot;title&quot;, &quot;01 - Author&#39;s Birth&quot;], [&quot;album&quot;, &quot;Life and Times of Frederick Douglass&quot;], [&quot;TRACKNUMBER&quot;, &quot;2&quot;], [&quot;encoder&quot;, &quot;Lavf55.45.100&quot;], [&quot;mtime&quot;, &quot;1415249910&quot;], [&quot;size&quot;, &quot;5632957&quot;], [&quot;md5&quot;, &quot;4be053d1a643c55f155bc489e687f9c8&quot;], [&quot;crc32&quot;, &quot;965da915&quot;], [&quot;sha1&quot;, &quot;f85622a5998dde20e935fbcee782fcb39bbcdaa6&quot;], [&quot;format&quot;, &quot;128Kbps MP3&quot;], [&quot;length&quot;, &quot;351.76&quot;], [&quot;height&quot;, &quot;0&quot;], [&quot;width&quot;, &quot;0&quot;], [&quot;source&quot;, &quot;original&quot;], [&quot;comment&quot;, &quot;http://archive.org/details/life_times_frederick_douglass_ls_1411_librivox&quot;] ], vendor_string: &quot;Lavf55.45.100&quot; } iex&gt; {:error, err} = OggVorbisParser.parse(&quot;test/audio_files/lifeandtimesoffrederickdouglass_01_douglass_128kb.mp3&quot;) iex&gt; err :no_ogg_container_found"}]